org.cybergarage.upnp

## Class ServiceList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Service>
      - - org.cybergarage.upnp.ServiceList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Service>, Collection<Service>, List<Service>, RandomAccess

      public class ServiceList
      extends Vector<Service>

  A collection of UPnP services.

  This class extends Vector to manage multiple Service objects that represent services provided by UPnP devices. It provides type-safe collection management for service enumeration and organization.

  Key features:

  - Type-safe service collection
  - XML element name constant
  - Vector-based implementation for efficiency
  - Service discovery result management
  - Device service organization

  This class is used by UPnP devices and control points to maintain collections of services, enabling organized service management and enumeration for application use and XML description generation.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME`

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Service` | `getService(int n)`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceList

          public ServiceList()

  - ### Method Detail

    - #### getService

          public Service getService(int n)